- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# AnisotropicLighting.cpp File Reference

`#include <osgFX/AnisotropicLighting>`
`#include <osgFX/Registry>`
`#include <osg/VertexProgram>`
`#include <osg/Texture2D>`
`#include <osg/TexEnv>`
`#include <osgDB/ReadFile>`
`#include <sstream>`

Include dependency graph for AnisotropicLighting.cpp:

## Variables
osg::ref_ptr< osg::VertexProgram > | vp_
int | param_
int | first_context_
int | lightnum_
osg::ref_ptr< osg::Texture2D > | texture_

## Variable Documentation

int first_context_

int lightnum_

int param_

osg::ref_ptr<osg::Texture2D> texture_

osg::ref_ptr<osg::VertexProgram> vp_